[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TOnDBImageWrite

Event handler signalled when an image is written to the specified stream.

## Declaration

Source position: dbctrls.pp line 1170

`type TOnDBImageWrite = procedure(`
`Sender: TObject;`
`S: TStream;`
`GraphExt: string`
`) of object;`

## Arguments

`Sender` |  | Object (TDBImage) for the event notification.
`S` |  | Stream instance where the image is stored.
`GraphExt` |  | File extension associated with the image data.

## Description

TOnDBImageWrite is the type used for the OnDbImageWrite property in TDBImage.

## See also

TDbImage.OnDbImageWrite |  | Event to write a custom header into image stream.
TDbImage.UpdateData |  | Performs actions needed to validate and store the content for the image control.